//
//  AppDelegate.swift
//  TCMPPDemo-Swift
//
//  Created by v_zwtzzhou on 2023/8/30.
//

import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    public var window: UIWindow?;

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        
        self.prepareApplet();
        self.registJSApis();
        
        self.window = UIWindow(frame: UIScreen.main.bounds);
        let rootViewController = ViewController();
        let navGationController = UINavigationController(rootViewController: rootViewController);
        self.window?.rootViewController = navGationController;
        self.window?.makeKeyAndVisible();
        
        return true;
    }
    
    func prepareApplet(){
        let configItem = TMFAppletConfigManager.shared.getCurrentConfigItem();
     
        
        // 配置使用环境
        let filePath = Bundle.main.path(forResource: "tcmpp-ios-configurations", ofType: "json");
        if ((filePath) != nil){
            let config = TMAServerConfig(file: filePath!);
            TMFMiniAppSDKManager.sharedInstance().setConfiguration(config);
        }
        
        TMFMiniAppSDKManager.sharedInstance().miniAppSdkDelegate = MIniAppDemoSDKDelegateImpl.shared;
    }
    
    func registJSApis(){
        _TMARegisterExternalJSPlugin(PayRequestJSApi.self);
    }

}

