//
//  DemoCollectionCell.swift
//  TCMPPDemo-Swift
//
//  Created by v_zwtzzhou on 2023/8/30.
//

import UIKit

class DemoCollectionCell : UICollectionViewCell{
    private var _appInfo: TMFMiniAppInfo?;
    private var label : UILabel?;
    private var imageV : UIImageView?;
    
    override init(frame: CGRect) {
        super.init(frame: frame);
        self.backgroundColor = .clear;
        self.imageV = UIImageView(frame: CGRectMake(5, 5, 48, 48));
        self.contentView.addSubview(self.imageV!);
        
        self.label = UILabel(frame: CGRectMake(0, 50, 60, 40));
        label?.textAlignment = NSTextAlignment.center;
        label?.numberOfLines = 2;
        label?.textColor = .black;
        label?.font = UIFont.systemFont(ofSize: 12);
        self.contentView.addSubview(self.label!);
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    public var appInfo: TMFMiniAppInfo? {
        get { return _appInfo}
        set {
            if (newValue == _appInfo){
                return;
            }
            _appInfo = newValue;
            self.label?.text = _appInfo?.appTitle;
            
            if (_appInfo?.appIcon.count ?? 0 > 0){
                let queue = DispatchQueue.global(qos: .userInitiated);
                queue.sync {
                    let data = NSData(contentsOf: URL(string: appInfo!.appIcon)!);
                    if ((data) != nil){
                        DispatchQueue.main.async {
                            self.imageV?.image = UIImage(data: data! as Data);
                        }
                    } else {
                        DispatchQueue.main.async {
                            self.imageV?.image = UIImage(named: "tmf_weapp_icon_default");
                        }
                    }
                }
                
            } else {
                self.imageV?.image = UIImage(named: "tmf_weapp_icon_default");
            }
        }
    }
}
