//
//  DemoUserInfo.swift
//  TCMPPDemo-Swift
//
//  Created by v_zwtzzhou on 2023/8/30.
//

import Foundation

enum UserGenderType{
    case UnKnown
    case Male
    case Female
}

let DEV_LOGIN_NAME = "dev_login_name";
class DemoUserInfo : NSObject{
    public static let shared = DemoUserInfo().readLoginInfo();
    
    public var nickName:String?;
    public var country:String?;
    public var province:String?;
    public var avatarUrl:String?;
    public var city:String?;
    public var gender:UserGenderType?;

    private func readLoginInfo() -> DemoUserInfo{
        let username = UserDefaults.standard.value(forKey: DEV_LOGIN_NAME) as? String;
        if(username?.count ?? 0 > 0){
            self.nickName = username ?? "";
        } else {
            let dateFormatter = DateFormatter();
            dateFormatter.dateFormat = "HHmmss";
            let currentDateStr = dateFormatter.string(from: NSDate.now);
            self.nickName = String(format: "user%@", currentDateStr);
            
            UserDefaults.standard.setValue(self.nickName, forKey: DEV_LOGIN_NAME);
        }
        
        self.avatarUrl = "https://upload.shejihz.com/2019/04/25704c14def5257a157f2d0f4b7ae581.jpg";
        self.country = "中国";
        self.province = "北京市";
        self.gender = .Male;
        self.city = "朝阳区";
        
        return self;
    }
}
