//
//  SearchResultTableCell.swift
//  TCMPPDemo-Swift
//
//  Created by v_zwtzzhou on 2023/11/30.
//

import UIKit

class SearchResultTableCell: UITableViewCell {

    var appInfo: TMFAppletSearchInfo? {
        didSet {
            guard let appInfo = appInfo else { return }
            titleLabel.text = appInfo.appTitle;
            
            let appIcon = appInfo.appIcon
            if appIcon.count>0 {
                DispatchQueue.global(qos: .default).async {
                    if let data = try? Data(contentsOf: URL(string: appIcon)!),
                       let image = UIImage(data: data) {
                        DispatchQueue.main.async {
                            self.iconView.image = image;
                        }
                    }
                }
            } else {
                iconView.image = UIImage(named: "tmf_weapp_icon_default");
            }
        }
    }
    
    override var frame: CGRect {
        get {
            return super.frame
        }
        set {
            var newFrame = newValue
            newFrame.origin.y += 10
            newFrame.size.height -= 10
            super.frame = newFrame
        }
    }
    
    private let titleLabel = UILabel();
    private let iconView = UIImageView();
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier);
        self.backgroundColor = .white;
        self.contentView.addSubview(self.iconView);
        
        self.titleLabel.textAlignment = .left;
        self.titleLabel.font = UIFont.systemFont(ofSize: 14);
        self.contentView.addSubview(self.titleLabel);
    }
    
    override func layoutSubviews() {
        super.layoutSubviews();
        
        self.iconView.frame = CGRect(x: 10, y: 15, width: 48, height: 48);
        self.titleLabel.frame = CGRect(x: 65, y: 0, width: self.frame.size.width - 130, height: 78);
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
