//
//  SearchResultViewController.swift
//  TCMPPDemo-Swift
//
//  Created by v_zwtzzhou on 2023/11/30.
//

import UIKit

class SearchResultViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    var tableView: UITableView?;
    var searchResults = [TMFAppletSearchInfo]();
    
    override func viewDidLoad() {
        super.viewDidLoad()

        self.view.backgroundColor = UIColor.hexColor(0xE3EDFD);
        
        self.tableView = UITableView(frame: CGRect(x: 10, y: 0, width: self.view.frame.size.width - 20, height: self.view.frame.size.height - 80), style: .plain);
        self.tableView?.backgroundColor = UIColor.hexColor(0xE3EDFD);
        self.tableView?.separatorStyle = .none;
        self.view.addSubview(self.tableView!);
        
        self.tableView?.delegate = self;
        self.tableView?.dataSource = self;
        self.tableView?.register(SearchResultTableCell.self, forCellReuseIdentifier: "cell");
        // Do any additional setup after loading the view.
    }
    
    /// Datasource & Delegate
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        TMFMiniAppSDKManager.sharedInstance().startUpMiniApp(withAppID: self.searchResults[indexPath.row].appId,
                                                             scene: .search,
                                                             firstPage: nil,
                                                             paramsStr: nil,
                                                             parentVC: self) { error in
            self.showErrorInfo(error! as NSError);
        }
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 88;
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return self.searchResults.count;
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell") as! SearchResultTableCell;
        cell.appInfo = self.searchResults[indexPath.row];
        return cell;
    }
    
    func showErrorInfo(_ err: NSError?) {
        if let error = err {
            var errMsg: String?
            if let localizedDescription = error.userInfo[NSLocalizedDescriptionKey] {
                errMsg = "\(error.domain)\n\(error.code)\n\(localizedDescription)";
            } else {
                errMsg = "\(error.domain)\n\(error.code)";
            }
            
            let alert = UIAlertController(title: "Error", message: errMsg, preferredStyle: .alert)
            present(alert, animated: true, completion: nil)
            DispatchQueue.main.asyncAfter(deadline: .now() + 2.0) {
                alert.dismiss(animated: true, completion: nil)
            }
        }
    }
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
